Bug 808154 - turning warp_to_teminal to true results in traceback
turning warp_to_teminal to true results in traceback
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
Master
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 13:37 EDT by dgao
Modified: 2015-02-28 16:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-28 16:34:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 335 None None None Never

  None (edit)
Description dgao 2012-03-29 13:37:57 EDT
Changing wrap_to_terminal to true and using ssh client to execute pulp cli command results in a traceback.

dgao@zhongyong:~ $ ssh root@pulp-nightly.usersys.redhat.com "pulp-v2-admin -u admin -p admin repo create --id=smoketest_repo --display_name=smoketest_repo --feed=http://repos.fedorapeople.org/repos/pulp/pulp/dev/testing/fedora-15/x86_64/"
reverse mapping checking getaddrinfo for unused [10.16.120.186] failed - POSSIBLE BREAK-IN ATTEMPT!
root@pulp-nightly.usersys.redhat.com's password: 
Traceback (most recent call last):
  File "/usr/bin/pulp-v2-admin", line 27, in <module>
    sys.exit(pulp.gc_client.launcher.main(config_file, override_config_file))
  File "/usr/lib/python2.7/site-packages/pulp/gc_client/launcher.py", line 178, in main
    prompt = _create_prompt(config)
  File "/usr/lib/python2.7/site-packages/pulp/gc_client/launcher.py", line 135, in _create_prompt
    prompt = PulpPrompt(enable_color=enable_color, wrap_width=wrap)
  File "/usr/lib/python2.7/site-packages/pulp/gc_client/framework/core.py", line 79, in __init__
    wrap_width=wrap_width, record_tags=record_tags)
  File "/usr/lib/python2.7/site-packages/okaara/prompt.py", line 120, in __init__
    self.write(self.normal_color, new_line=False)
  File "/usr/lib/python2.7/site-packages/okaara/prompt.py", line 162, in write
    content = self.wrap(content)
  File "/usr/lib/python2.7/site-packages/okaara/prompt.py", line 242, in wrap
    wrap_width = self.terminal_size()[0]
  File "/usr/lib/python2.7/site-packages/okaara/prompt.py", line 355, in terminal_size
    ioctl = fcntl.ioctl(0, termios.TIOCGWINSZ, struct.pack('HHHH', 0, 0, 0, 0))
IOError: [Errno 22] Invalid argument
Comment 1 Chris Duryee 2014-11-11 20:26:38 EST
This is still outstanding in pulp 2.4.3. I set wrap_to_terminal to true in /etc/pulp/admin/admin.conf and got the same traceback when executing the command via ssh.
Comment 2 Brian Bouterse 2015-02-28 16:34:21 EST
Moved to https://pulp.plan.io/issues/335

Note You need to log in before you can comment on or make changes to this bug.